Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.ast
Class JifCall_c

    java.lang.Object
      polyglot.ast.Node_c
          polyglot.ast.Term_c
              polyglot.ast.Expr_c
                  polyglot.ast.Call_c
                      jif.ast.JifCall_c

All Implemented Interfaces:
  java.lang.Cloneable, polyglot.ast.Call, polyglot.ast.Expr, polyglot.ast.JL, polyglot.ast.Node, polyglot.ast.NodeOps, polyglot.ast.Prefix, polyglot.ast.ProcedureCall, polyglot.ast.Receiver, polyglot.ast.Term, polyglot.ast.Typed, polyglot.util.Copy

    public class JifCall_c

extends polyglot.ast.Call_c

Field Summary

Fields inherited from class polyglot.ast.Call_c
`arguments, mi, name, target, targetImplicit`

Fields inherited from class polyglot.ast.Expr_c
`type`

Fields inherited from class polyglot.ast.Term_c
`exceptions, reachable`

Fields inherited from class polyglot.ast.Node_c
`del, error, ext, position`

Fields inherited from interface polyglot.ast.Term
`ENTRY, EXIT`

Fields inherited from interface polyglot.ast.Term
`ENTRY, EXIT`

Constructor Summary
`JifCall_c(polyglot.util.Position pos, polyglot.ast.Receiver target, polyglot.ast.Id name, java.util.List args)`

Method Summary
`protected polyglot.types.Type` | `findContainer(polyglot.types.TypeSystem ts, polyglot.types.MethodInstance mi)`

Methods inherited from class polyglot.ast.Call_c
`acceptCFG, arguments, arguments, buildTypes, checkConsistency, childExpectedType, copy, dump, exceptionCheck, findTargetType, firstChild, id, id, isTargetImplicit, methodInstance, methodInstance, name, name, precedence, prettyPrint, procedureInstance, reconstruct, target, target, targetImplicit, throwTypes, toString, typeCheck, typeCheckNullTarget, visitChildren`

Methods inherited from class polyglot.ast.Expr_c
`booleanValue, byteValue, charValue, constantValue, constantValueSet, doubleValue, floatValue, intValue, isConstant, isTypeChecked, longValue, printSubExpr, printSubExpr, shortValue, stringValue, type, type`

Methods inherited from class polyglot.ast.Term_c
`exceptions, exceptions, listChild, reachable, reachable`

Methods inherited from class polyglot.ast.Node_c
`addDecls, buildTypesEnter, checkConstants, copy, copy, del, del, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, enterChildScope, enterScope, error, error, exceptionCheckEnter, ext, ext, ext, ext, init, isDisambiguated, node, position, position, prettyPrint, prettyPrint, print, printBlock, printSubStmt, translate, typeCheckEnter, typeCheckOverride, visit, visitChild, visitEdge, visitList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface polyglot.ast.Expr
`constantValue, constantValueSet, isConstant, printSubExpr, printSubExpr, type`

Methods inherited from interface polyglot.ast.Node
`del, del, error, error, ext, ext, ext, ext, isDisambiguated, isTypeChecked, position, position, visit, visitChild, visitEdge, visitList`

Methods inherited from interface polyglot.ast.JL
`init, node`

Methods inherited from interface polyglot.ast.NodeOps
`addDecls, buildTypesEnter, checkConstants, copy, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, enterChildScope, enterScope, exceptionCheckEnter, prettyPrint, prettyPrint, translate, typeCheckEnter, typeCheckOverride`

Methods inherited from interface polyglot.util.Copy
`copy`

Methods inherited from interface polyglot.ast.Typed
`type`

Methods inherited from interface polyglot.ast.Term
`exceptions, exceptions, reachable, reachable`

Methods inherited from interface polyglot.ast.Term
`exceptions, exceptions, reachable, reachable`

Constructor Detail

### JifCall_c

    public JifCall_c(polyglot.util.Position pos,
                     polyglot.ast.Receiver target,
                     polyglot.ast.Id name,
                     java.util.List args)

Method Detail

### findContainer

    protected polyglot.types.Type findContainer(polyglot.types.TypeSystem ts,
                                                polyglot.types.MethodInstance mi)

  Overrides:
    `findContainer` in class `polyglot.ast.Call_c`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD